Ball = Active:extend()
require "lib/AABB"

local sprite = love.graphics.newImage("assets/sprites/ball.png")

function Ball:new(x, y)
	self.id = 0
	self.x = x or 0 --- x position
	self.y = y or 0 --- y position
	self.r = 0 --- angle
	self.sx = 1 -- x scale
	self.sy = 1 -- y scale
	self.ox = 0 -- x hotspot
	self.oy = 0 -- y hotspot
	self.kx = 0 -- x action point
	self.ky = 0 -- y action point
	self.w = sprite:getWidth()
	self.h = sprite:getHeight()
	self.speed = 60
	self.transperancy = 0
	self.visible = true
	self.layer = 1
	self.xv = love.math.random(self.speed, self.speed * -1)
	self.yv = love.math.random(self.speed, self.speed * -1)

end

function Ball:update(dt)
	self.x = self.x + self.xv * dt
	self.y = self.y + self.yv * dt
	if self.y > FRAME_H - self.h then
		self.yv = self.yv * -1
	elseif self.x > FRAME_W - self.w then
		self.xv = self.xv * -1 
	elseif self.y < 0 then
		self.yv = self.yv * -1
	elseif self.x < 0 then
		self.xv = self.xv * -1
	end
	
	-- if AABB(self.x, self.y, self.w, self.h, Active.x, Active.y, Active.w, Active.h) then
	-- end
end

function Ball:draw()
	love.graphics.draw(sprite, self.x, self.y)
end