Paddle = Active:extend()

local sprite = love.graphics.newImage("assets/sprites/paddle.png")

function Paddle:new(x, y)
	self.id = 0
	self.x = x or 0 --- x position
	self.y = y or 0 --- y position
	self.r = 0 --- angle
	self.sx = 1 -- x scale
	self.sy = 1 -- y scale
	self.ox = 0 -- x hotspot
	self.oy = 0 -- y hotspot
	self.kx = 0 -- x action point
	self.ky = 0 -- y action point
	self.w = sprite:getWidth()
	self.h = sprite:getHeight()
	self.speed = 32
	self.transperancy = 0
	self.visible = true
	self.layer = 1
end

function Paddle:update(dt)
	if love.keyboard.isDown("w") and self.y > 0 then
		self.y = self.y - self.speed * dt
	elseif love.keyboard.isDown("s") and self.y < FRAME_H - self.h then
		self.y = self.y + self.speed * dt
	end
end

function Paddle:draw()
	love.graphics.draw(sprite, self.x, self.y)
end